"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _logo = require("./logo");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = ({
  visible = true,
  message = 'Loading...'
}) => (0, _preact.h)("div", {
  className: (0, _classnames.default)('left-0 top-0 z-2 fixed vh-100 w-100 bg-dark-blue transition', {
    'o-100': visible,
    'o-0': !visible
  })
}, (0, _preact.h)("div", {
  style: {
    position: 'absolute',
    top: '50%',
    left: '50%',
    width: '50%',
    marginLeft: '-25%'
  }
}, (0, _preact.h)(_logo.LogoDark, {
  className: "pulse-animation",
  style: {
    position: 'relative',
    marginTop: '-12%'
  }
})), (0, _preact.h)("div", {
  className: "fixed bottom-0 right-0 pa3 f4 light-blue tc o-50"
}, message));

exports.default = _default;